const slueStream = require('slue-stream');
const babel = require('babel-core');

module.exports = function() {
    return slueStream.transformObj(function(file, env, cb) {
        let contents = file.contents.toString();
        try {
            let result = babel.transform(contents, {
                presets: [
                    "es2015",
                    "react",
                    "stage-3"
                ]
            });
            file.contents = Buffer.from(result.code);
            cb(null, file);
        } catch (e) {
            cb(null, file);
        }
    });
}